﻿package com.Islands 
{
	import org.flixel.*;
	
	public class Enemy extends FlxSprite
	{
		[Embed(source = '../../gfx/Enemy.png')] private var ImgEnemy:Class;
		
		public function Enemy(X:Number, Y:Number)
		{
			super(X, Y);
			loadGraphic(ImgEnemy, true, true, Islands.TILE_SIZE);
			addAnimation("walk", [0, 1, 2], 5, true);
			play("walk");
			
			width = 12;
			offset.x = 2;
			
			maxVelocity.x  = 60;
			maxVelocity.y  = 100;
			acceleration.x = 0;
			acceleration.y = 400;
			drag.x = drag.y = 0;
		}
		
		override public function hitLeft(Contact:FlxObject, Velocity:Number):void 
		{
			super.hitLeft(Contact, Velocity);
			if(!(Contact is PlayerClone))
				facing = RIGHT;
			
		}
		
		override public function hitRight(Contact:FlxObject, Velocity:Number):void 
		{
			super.hitRight(Contact, Velocity);
			if(!(Contact is PlayerClone))
				facing = LEFT;
			
		}
		
		override public function update():void 
		{
			const speed:Number = 100;
			
			if (facing == RIGHT)
				velocity.x = speed;
			else
				velocity.x = -speed;
			
			super.update();
		}
		
	}

}